{
  lib,
  config,
  pkgs,
  inputs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.rofi;
  hasXorg = config.xsession.enable;
in
{
  options.marleyos.programs.rofi.enable = mkEnableOption "rofi";

  config = mkIf (cfg.enable && hasXorg) {
    home.packages = with pkgs; [
      rofi
    ];

    xdg.configFile."rofi".source = "${inputs.rofi-themes}/files";
  };
}
